import React from 'react';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import dva from 'dva';
import createLoading from 'dva-loading';
import { Button, Welcome } from '@storybook/react/demo';
import DsTable from '../src/components/table/dstable';

storiesOf('Welcome', module).add('to Storybook', () => <Welcome showApp={linkTo('Button')} />);

storiesOf('Button', module)
  .add('with text', () => <Button onClick={action('clicked')}>Hello Button</Button>)
  .add('with some emoji', () => <Button onClick={action('clicked')}>😀 😎 👍 💯</Button>);

const Wrapper = () => Comp => (props) => {
  const app = dva({});
  app.use(createLoading({
    effects: true,
  }));
  const { children, ...rest } = props;
  app.router(() => <Comp app={app} {...rest}>{ children }</Comp>);
  return app.start()();
};

storiesOf('a', module)
  .add('1', () => {
    const Comp = Wrapper()(DsTable);
    return <Comp />;
  });
